PHPExcel_Shared

# Class: PHPExcel_Shared_File

Source Location: /PHPExcel/Shared/File.php

### Class Overview

PHPExcel_Shared_File

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- file_exists
- realpath
- sys_get_temp_dir

### Class Details

[line 36]
PHPExcel_Shared_File

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method file_exists [line 44]

`static bool file_exists( string $pFilename)`

Verify if a file exists

#### Tags:

access: | public

#### Parameters:

string | $pFilename | Filename

[ Top ]

### static method realpath [line 73]

`static string realpath( string $pFilename)`

Returns canonicalized absolute pathname, also for ZIP archives

#### Tags:

access: | public

#### Parameters:

string | $pFilename |

[ Top ]

### static method sys_get_temp_dir [line 106]

`static string sys_get_temp_dir( )`

Get the systems temporary directory.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:15 +0200 by phpDocumentor 1.4.4